com.h3c.util.pkt

## Enum PppEthernet.Code

- java.lang.Object
- - java.lang.Enum<PppEthernet.Code>
  - - com.h3c.util.pkt.PppEthernet.Code

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<PppEthernet.Code>
  Enclosing class:
    PppEthernet

      public static enum PppEthernet.Code
      extends Enum<PppEthernet.Code>
      implements ProtocolEnum

  Code types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PADI` PPPoE Active Discovery Initiation (PADI) packet.
    `PADO` PPPoE Active Discovery Offer (PADO) packet.
    `PADR` PPPoE Active Discovery Request (PADR) packet.
    `PADS` PPPoE Active Discovery Session-confirmation (PADS) packet.
    `PADT` PPPoE Active Discovery Terminate (PADT) packet.
    `SESSION_DATA` PPP Session stage/data.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static PppEthernet.Code` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PppEthernet.Code[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SESSION_DATA

          public static final PppEthernet.Code SESSION_DATA

      PPP Session stage/data.

    - #### PADO

          public static final PppEthernet.Code PADO

      PPPoE Active Discovery Offer (PADO) packet.

    - #### PADI

          public static final PppEthernet.Code PADI

      PPPoE Active Discovery Initiation (PADI) packet.

    - #### PADR

          public static final PppEthernet.Code PADR

      PPPoE Active Discovery Request (PADR) packet.

    - #### PADS

          public static final PppEthernet.Code PADS

      PPPoE Active Discovery Session-confirmation (PADS) packet.

    - #### PADT

          public static final PppEthernet.Code PADT

      PPPoE Active Discovery Terminate (PADT) packet.

  - ### Method Detail

    - #### values

          public static PppEthernet.Code[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PppEthernet.Code c : PppEthernet.Code.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PppEthernet.Code valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.